//
//  Player.swift
//  TTTKit
//
//  Created by Shadowfacts on 12/21/22.
//

import Foundation
import GameKit

class Player: NSObject, GKGameModelPlayer {
    static let x = Player(playerId: 0)
    static let o = Player(playerId: 1)
    
    let playerId: Int
    
    var mark: Mark {
        playerId == 0 ? .x : .o
    }
    
    private init(playerId: Int) {
        self.playerId = playerId
    }
}
